language: cn
model_unique_abbr: st_topology_analysis
version: 1.0

identification:
  docker_image_name: st_topology_analysis:1.0-geopandas
  model_name: 时空拓扑关系分析模型
  semantic: Spatio-temporal topology analysis

  description: 时空拓扑关系分析是分析多个地理空间对象间是否存在邻接、关联、包含等空间拓扑关系，以及前序、后序、包含等时间拓扑关系的时空关系计算算法

  category_application: 诊断型
  category_data:
    - 时空要素数据分析

  keywords:
    - 拓扑关系

parameter_info:
  parameters:
    - arg_name: shp_path
      is_single_en_dash: false
      param_type: input_data
      name: 空间要素数据
      description: "待拓扑分析的的空间要素数据, 格式为shp，文件中存储了各空间要素对象（点、线、面），每个对象还需存储其起止时间（start列与end列属性），
                    时间以字符串形式存储，例如20220101120000，表示2022年1月1日12点00分00秒"
      data_type: shp
      data_semantic: spatial data

    - arg_name: output
      is_single_en_dash: false
      param_type: output_data
      name: 时空拓扑关系分析结果
      description: "时空拓扑关系分析结果，格式为txt，文件中记录各要素之间的时空拓扑关系"
      data_type: txt
      data_semantic: temporal-spatial topology analysis result

application:
  domain: 时空拓扑关系分析
  objective:
  dimension:
    - 三维

  spatial_resolution:
  spatial_reference:

  mechanism:
operation:
  usage: 该算法需要两个参数，空间要素数据(shp_path)，时空拓扑关系分析结果(output)
  exec_example:
    - docker run -v $(pwd):/data st_topology_analysis:1.0-geopandas --shp_path ../data/shapefile.shp  --output ../output
    - docker run -v $(pwd):/data st_topology_analysis:1.0-geopandas --shp_path ../data/shapefile1.shp  --output /..output
  output_display:
    - "输出的结果是空间要素的拓扑关系，不需要可视化"
technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer: Shiyi Li
  organization: Central South University
  contact: 1749405717@qq.com
  repository:
  integrated_softwares:
    - name: geopandas
      version: 0.14.0
      license:
  references:
    - somewhat
